org.codehaus.groovy.tools.groovydoc

## Class ArrayClassDocWrapper

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.ArrayClassDocWrapper

All Implemented Interfaces:
  java.lang.Comparable, GroovyClassDoc, GroovyDoc, GroovyProgramElementDoc, GroovyType

    public class ArrayClassDocWrapper
    extends java.lang.Object
    implements GroovyClassDoc

### Constructor Summary

Constructors
Constructor and Description
`ArrayClassDocWrapper(GroovyClassDoc delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`GroovyAnnotationRef[]` `annotations()`
`java.lang.String` `commentText()`
`int` `compareTo(java.lang.Object o)`
`GroovyConstructorDoc[]` `constructors()`
`GroovyConstructorDoc[]` `constructors(boolean filter)`
`GroovyClassDoc` `containingClass()`
`GroovyPackageDoc` `containingPackage()`
`boolean` `definesSerializableFields()`
`GroovyFieldDoc[]` `enumConstants()`
`GroovyFieldDoc[]` `fields()`
`GroovyFieldDoc[]` `fields(boolean filter)`
`GroovyClassDoc` `findClass(java.lang.String className)`
`java.lang.String` `firstSentenceCommentText()`
`GroovyClassDoc` `getDelegate()`
`java.lang.String` `getFullPathName()`
`java.lang.String` `getRawCommentText()`
`java.lang.String` `getRelativeRootPath()`
`GroovyClassDoc[]` `importedClasses()`
`GroovyPackageDoc[]` `importedPackages()`
`GroovyClassDoc[]` `innerClasses()`
`GroovyClassDoc[]` `innerClasses(boolean filter)`
`GroovyClassDoc[]` `interfaces()`
`GroovyType[]` `interfaceTypes()`
`boolean` `isAbstract()`
`boolean` `isAnnotationType()`
`boolean` `isAnnotationTypeElement()`
`boolean` `isClass()`
`boolean` `isConstructor()`
`boolean` `isDeprecated()`
`boolean` `isEnum()`
`boolean` `isEnumConstant()`
`boolean` `isError()`
`boolean` `isException()`
`boolean` `isExternalizable()`
`boolean` `isField()`
`boolean` `isFinal()`
`boolean` `isIncluded()`
`boolean` `isInterface()`
`boolean` `isMethod()`
`boolean` `isOrdinaryClass()`
`boolean` `isPackagePrivate()`
`boolean` `isPrimitive()`
`boolean` `isPrivate()`
`boolean` `isProtected()`
`boolean` `isPublic()`
`boolean` `isSerializable()`
`boolean` `isStatic()`
`GroovyMethodDoc[]` `methods()`
`GroovyMethodDoc[]` `methods(boolean filter)`
`java.lang.String` `modifiers()`
`int` `modifierSpecifier()`
`java.lang.String` `name()`
`GroovyFieldDoc[]` `properties()`
`java.lang.String` `qualifiedName()`
`java.lang.String` `qualifiedTypeName()` The qualified name of this type excluding any dimension information.
`GroovyFieldDoc[]` `serializableFields()`
`GroovyMethodDoc[]` `serializationMethods()`
`void` `setRawCommentText(java.lang.String arg0)`
`java.lang.String` `simpleTypeName()` The unqualified name of this type excluding any dimension or nesting information.
`boolean` `subclassOf(GroovyClassDoc gcd)`
`GroovyClassDoc` `superclass()`
`GroovyType` `superclassType()`
`java.lang.String` `toString()` The qualified name including any dimension information.
`java.lang.String` `typeName()` The unqualified name of this type excluding any dimension information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArrayClassDocWrapper

    public ArrayClassDocWrapper(GroovyClassDoc delegate)

### Method Detail

#### getDelegate

    public GroovyClassDoc getDelegate()

#### constructors

    public GroovyConstructorDoc[] constructors()

Specified by:
  `constructors` in interface `GroovyClassDoc`

#### constructors

    public GroovyConstructorDoc[] constructors(boolean filter)

Specified by:
  `constructors` in interface `GroovyClassDoc`

#### definesSerializableFields

    public boolean definesSerializableFields()

Specified by:
  `definesSerializableFields` in interface `GroovyClassDoc`

#### enumConstants

    public GroovyFieldDoc[] enumConstants()

Specified by:
  `enumConstants` in interface `GroovyClassDoc`

#### fields

    public GroovyFieldDoc[] fields()

Specified by:
  `fields` in interface `GroovyClassDoc`

#### properties

    public GroovyFieldDoc[] properties()

Specified by:
  `properties` in interface `GroovyClassDoc`

#### fields

    public GroovyFieldDoc[] fields(boolean filter)

Specified by:
  `fields` in interface `GroovyClassDoc`

#### findClass

    public GroovyClassDoc findClass(java.lang.String className)

Specified by:
  `findClass` in interface `GroovyClassDoc`

#### importedClasses

    public GroovyClassDoc[] importedClasses()

Specified by:
  `importedClasses` in interface `GroovyClassDoc`

#### importedPackages

    public GroovyPackageDoc[] importedPackages()

Specified by:
  `importedPackages` in interface `GroovyClassDoc`

#### innerClasses

    public GroovyClassDoc[] innerClasses()

Specified by:
  `innerClasses` in interface `GroovyClassDoc`

#### innerClasses

    public GroovyClassDoc[] innerClasses(boolean filter)

Specified by:
  `innerClasses` in interface `GroovyClassDoc`

#### interfaces

    public GroovyClassDoc[] interfaces()

Specified by:
  `interfaces` in interface `GroovyClassDoc`

#### interfaceTypes

    public GroovyType[] interfaceTypes()

Specified by:
  `interfaceTypes` in interface `GroovyClassDoc`

#### isAbstract

    public boolean isAbstract()

Specified by:
  `isAbstract` in interface `GroovyClassDoc`

#### isExternalizable

    public boolean isExternalizable()

Specified by:
  `isExternalizable` in interface `GroovyClassDoc`

#### isSerializable

    public boolean isSerializable()

Specified by:
  `isSerializable` in interface `GroovyClassDoc`

#### methods

    public GroovyMethodDoc[] methods()

Specified by:
  `methods` in interface `GroovyClassDoc`

#### methods

    public GroovyMethodDoc[] methods(boolean filter)

Specified by:
  `methods` in interface `GroovyClassDoc`

#### serializableFields

    public GroovyFieldDoc[] serializableFields()

Specified by:
  `serializableFields` in interface `GroovyClassDoc`

#### serializationMethods

    public GroovyMethodDoc[] serializationMethods()

Specified by:
  `serializationMethods` in interface `GroovyClassDoc`

#### subclassOf

    public boolean subclassOf(GroovyClassDoc gcd)

Specified by:
  `subclassOf` in interface `GroovyClassDoc`

#### superclass

    public GroovyClassDoc superclass()

Specified by:
  `superclass` in interface `GroovyClassDoc`

#### superclassType

    public GroovyType superclassType()

Specified by:
  `superclassType` in interface `GroovyClassDoc`

#### getFullPathName

    public java.lang.String getFullPathName()

Specified by:
  `getFullPathName` in interface `GroovyClassDoc`

#### getRelativeRootPath

    public java.lang.String getRelativeRootPath()

Specified by:
  `getRelativeRootPath` in interface `GroovyClassDoc`

#### isPrimitive

    public boolean isPrimitive()

Specified by:
  `isPrimitive` in interface `GroovyType`

#### qualifiedTypeName

    public java.lang.String qualifiedTypeName()

Description copied from interface: `GroovyType`
The qualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`java.lang.String`".

Specified by:
  `qualifiedTypeName` in interface `GroovyType`

#### simpleTypeName

    public java.lang.String simpleTypeName()

Description copied from interface: `GroovyType`
The unqualified name of this type excluding any dimension or nesting information. For example, the class `Outer.Inner` returns "`Inner`".

Specified by:
  `simpleTypeName` in interface `GroovyType`

#### typeName

    public java.lang.String typeName()

Description copied from interface: `GroovyType`
The unqualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`String`".

Specified by:
  `typeName` in interface `GroovyType`

#### toString

    public java.lang.String toString()

Description copied from interface: `GroovyType`
The qualified name including any dimension information. For example, a two dimensional array of String returns "`java.lang.String[][]`", and the parameterized type `List<Integer>` returns "`java.util.List<java.lang.Integer>`".

Specified by:
  `toString` in interface `GroovyType`
Overrides:
  `toString` in class `java.lang.Object`

#### annotations

    public GroovyAnnotationRef[] annotations()

Specified by:
  `annotations` in interface `GroovyProgramElementDoc`

#### containingClass

    public GroovyClassDoc containingClass()

Specified by:
  `containingClass` in interface `GroovyProgramElementDoc`

#### containingPackage

    public GroovyPackageDoc containingPackage()

Specified by:
  `containingPackage` in interface `GroovyProgramElementDoc`

#### isFinal

    public boolean isFinal()

Specified by:
  `isFinal` in interface `GroovyProgramElementDoc`

#### isPackagePrivate

    public boolean isPackagePrivate()

Specified by:
  `isPackagePrivate` in interface `GroovyProgramElementDoc`

#### isPrivate

    public boolean isPrivate()

Specified by:
  `isPrivate` in interface `GroovyProgramElementDoc`

#### isProtected

    public boolean isProtected()

Specified by:
  `isProtected` in interface `GroovyProgramElementDoc`

#### isPublic

    public boolean isPublic()

Specified by:
  `isPublic` in interface `GroovyProgramElementDoc`

#### isStatic

    public boolean isStatic()

Specified by:
  `isStatic` in interface `GroovyProgramElementDoc`

#### modifiers

    public java.lang.String modifiers()

Specified by:
  `modifiers` in interface `GroovyProgramElementDoc`

#### modifierSpecifier

    public int modifierSpecifier()

Specified by:
  `modifierSpecifier` in interface `GroovyProgramElementDoc`

#### qualifiedName

    public java.lang.String qualifiedName()

Specified by:
  `qualifiedName` in interface `GroovyProgramElementDoc`

#### commentText

    public java.lang.String commentText()

Specified by:
  `commentText` in interface `GroovyDoc`

#### getRawCommentText

    public java.lang.String getRawCommentText()

Specified by:
  `getRawCommentText` in interface `GroovyDoc`

#### isAnnotationType

    public boolean isAnnotationType()

Specified by:
  `isAnnotationType` in interface `GroovyDoc`

#### isAnnotationTypeElement

    public boolean isAnnotationTypeElement()

Specified by:
  `isAnnotationTypeElement` in interface `GroovyDoc`

#### isClass

    public boolean isClass()

Specified by:
  `isClass` in interface `GroovyDoc`

#### isConstructor

    public boolean isConstructor()

Specified by:
  `isConstructor` in interface `GroovyDoc`

#### isDeprecated

    public boolean isDeprecated()

Specified by:
  `isDeprecated` in interface `GroovyDoc`

#### isEnum

    public boolean isEnum()

Specified by:
  `isEnum` in interface `GroovyDoc`

#### isEnumConstant

    public boolean isEnumConstant()

Specified by:
  `isEnumConstant` in interface `GroovyDoc`

#### isError

    public boolean isError()

Specified by:
  `isError` in interface `GroovyDoc`

#### isException

    public boolean isException()

Specified by:
  `isException` in interface `GroovyDoc`

#### isField

    public boolean isField()

Specified by:
  `isField` in interface `GroovyDoc`

#### isIncluded

    public boolean isIncluded()

Specified by:
  `isIncluded` in interface `GroovyDoc`

#### isInterface

    public boolean isInterface()

Specified by:
  `isInterface` in interface `GroovyDoc`

#### isMethod

    public boolean isMethod()

Specified by:
  `isMethod` in interface `GroovyDoc`

#### isOrdinaryClass

    public boolean isOrdinaryClass()

Specified by:
  `isOrdinaryClass` in interface `GroovyDoc`

#### name

    public java.lang.String name()

Specified by:
  `name` in interface `GroovyDoc`

#### setRawCommentText

    public void setRawCommentText(java.lang.String arg0)

Specified by:
  `setRawCommentText` in interface `GroovyDoc`

#### firstSentenceCommentText

    public java.lang.String firstSentenceCommentText()

Specified by:
  `firstSentenceCommentText` in interface `GroovyDoc`

#### compareTo

    public int compareTo(java.lang.Object o)

Specified by:
  `compareTo` in interface `java.lang.Comparable`